All Data Structures Namespaces Files Functions Groups Pages
eccodes::codes_get_message_size Interface Reference

Get the size of a coded message. More...

## Public Member Functions

subroutine | codes_get_message_size_int (msgid, nbytes, status)
| Get the size of a coded message. More...
subroutine | codes_get_message_size_size_t (msgid, nbytes, status)
| Get the size of a coded message. More...

## Detailed Description

Get the size of a coded message.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  gribid | id of the grib loaded in memory
  nbytes | size in bytes of the message
  status | CODES_SUCCESS if OK, integer value on error

## Member Function/Subroutine Documentation

subroutine codes_get_message_size_int | ( | integer(kind=kindofint), intent(in) | msgid,
|  | integer(kind=kindofint), intent(out) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the size of a coded message.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  msgid | id of the grib loaded in memory
  nbytes | size in bytes of the message
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_get_message_size_size_t | ( | integer(kind=kindofint), intent(in) | msgid,
|  | integer(kind=kindofsize_t), intent(out) | nbytes,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Get the size of a coded message.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Parameters

  msgid | id of the grib loaded in memory
  nbytes | size in bytes of the message
  status | CODES_SUCCESS if OK, integer value on error

The documentation for this interface was generated from the following file:

- eccodes_f90.f90